%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global modname tw2.dynforms

Name:           python-tw2-dynforms
Version:        2.0.1
Release:        17%{?dist}
Summary:        Dynamic forms for ToscaWidgets2

Group:          Development/Languages
License:        MIT
URL:            http://toscawidgets.org
Source0:        http://pypi.python.org/packages/source/t/%{modname}/%{modname}-%{version}.tar.gz
BuildArch:      noarch

# For building
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-tw2-core
BuildRequires:  python2-tw2-forms
BuildRequires:  python2-genshi

# For tests
BuildRequires:  python2-nose
BuildRequires:  python2-formencode
BuildRequires:  python2-beautifulsoup
BuildRequires:  python2-strainer
BuildRequires:  python2-sieve
BuildRequires:  python2-webtest

# Runtime requirements

%global _description\
ToscaWidgets is a web widget toolkit for Python to aid in the creation,\
packaging and distribution of common view elements normally used in the web.\
\
tw2.dynforms includes dynamic form building widgets that use JavaScript.

%description %_description

%package -n python2-tw2-dynforms
Summary: %summary
Requires:       python2-tw2-core
Requires:       python2-tw2-forms
Requires:       python2-genshi
%{?python_provide:%python_provide python2-tw2-dynforms}

%description -n python2-tw2-dynforms %_description

%prep
%setup -q -n %{modname}-%{version}

%if %{?rhel}%{!?rhel:0} <= 6

# Make sure that epel/rhel picks up the correct version of webob
awk 'NR==1{print "import __main__; __main__.__requires__ = __requires__ = [\"WebOb>=1.0\"]; import pkg_resources"}1' setup.py > setup.py.tmp
mv setup.py.tmp setup.py

# Remove all the fancy nosetests configuration for older python
rm setup.cfg

%endif


%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build \
    --install-data=%{_datadir} --root %{buildroot}

%check
PYTHONPATH=$(pwd) python setup.py test

%files -n python2-tw2-dynforms
%doc README.rst LICENSE
%{python_sitelib}/tw2/dynforms
%{python_sitelib}/%{modname}-%{version}-*-nspkg.pth
%{python_sitelib}/%{modname}-%{version}-*.egg-info

%changelog
* Wed Feb 28 2018 Iryna Shcherbina <ishcherb@redhat.com> - 2.0.1-17
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.0.1-15
- Python 2 binary package renamed to python2-tw2-dynforms
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-12
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Nov 13 2014 Ralph Bean <rbean@redhat.com> - 2.0.1-9
- Fix rhel conditional.

* Thu Jun 12 2014 Ralph Bean <rbean@redhat.com> - 2.0.1-8
- Add dep on python-sieve.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri May 04 2012 Ralph Bean <rbean@redhat.com> - 2.0.1-3
- Fixed (again) incorrect directory ownership.

* Thu May 03 2012 Ralph Bean <rbean@redhat.com> - 2.0.1-2
- Fixed incoherent-version-in-changelog.
- Fixed directory ownership issue.

* Wed May 02 2012 Ralph Bean <rbean@redhat.com> - 2.0.1-1
- New upstream release.  Contains license file.

* Wed May 02 2012 Ralph Bean <rbean@redhat.com> - 2.0.0-2
- Removed clean section
- Removed defattr in files section
- Removed unnecessary references to buildroot

* Wed Apr 11 2012 Ralph Bean <rbean@redhat.com> - 2.0.0-1
- Initial packaging for Fedora
